Subject: bug#25829: Acknowledgement ([PATCH] gnu: Add font-tamzen.)

From: ng0 <[email-masked]>
Date: Wed, 22 Feb 2017 15:36:25 +0000

On 17-02-21 11:48:29, ng0 wrote:
> On 17-02-21 11:39:02, GNU bug Tracking System wrote:
> > Thank you for filing a new bug report with debbugs.gnu.org.
> > 
> > This is an automatically generated reply to let you know your message
> > has been received.
> > 
> > Your message is being forwarded to the package maintainers and other
> > interested parties for their attention; they will reply in due course.
> > 
> > Your message has been sent to the package maintainer(s):
> >  [email-masked]
> > 
> > If you wish to submit further information on this problem, please
> > send it to [email-masked].
> > 
> > Please do not send mail to [email-masked] unless you wish
> > to report a problem with the Bug-tracking system.
> > 
> > -- 
> > 25829: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=25829
> > GNU Bug Tracking System
> > Contact [email-masked] with problems
> 
> 
> What works: pcf fonts (the ones in kbd/consolefonts) - Powerline in vim
> without X... useful feature.
> 
> What I can't get to work though, are the fonts for X. Do I have to
> convert them like archlinux does for one of their bdf (bitmap) fonts? I
> tried plain bdf before and decided to pick the other format, and it
> doesn't work again so maybe it's the directory? But when I run fc-cache
> -fv it is being picked up... What do you think is the best way to go
> here?
> 
> 
> 

I can now confirm: All 4 kinds of fonts work. For pcf it's clear
(loadfonts blafooopathtofont) for both powerline and without
powerline, and for X11 I had to use facename, not font as an option. I
thought bitmap == bitmap option for Xterm, but it's a regular X font.